/* s_bomb.h

   Blah
*/

#ifndef INCLUDED_S_BOMB_H
#define INCLUDED_S_BOMB_H

#include "sprite.h"
#include "player.h"


typedef struct BOMB {

 PLAYER *player; /* Who dropped this bomb? */
 PLAYER *target; /* Is the bomb aimed at anyone? */

 int type;
 int count;

 int mini_exp;
} BOMB;


void spawn_bomb(SPRITE *sprite, int mag);

void draw_bomb(BITMAP *bmp, SPRITE *sprite, float cth);
void update_bomb(TILEMAP *map, SPRITE *sprite);


#endif /* INCLUDED_S_BOMB_H */
